| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions | Public Attributes

# EECFI::GoceObt Class Reference

Base class for GoceObt objects. More...

Inheritance diagram for EECFI::GoceObt:

List of all members.

## Public Member Functions
| GoceObt (unsigned long utc0_c, unsigned int utc0_f, unsigned long obt0_c, unsigned int obt0_f, double gradient, double offset)
| Class constructor (with GOCE parameters).
| GoceObt (unsigned long utc0_c, unsigned int utc0_f, unsigned long obt0_c, unsigned int obt0_f, double gradient, double offset, double obt)
| Class constructor.
| ~GoceObt ()
| Class destructor.
void | setObt (const Time &time) throw (CfiError)
| Set On-Board Time from a time in processing format.
Time | getTime () throw (CfiError)
| Get UTC time from an OBT time.
## Public Attributes
unsigned long | utc0_c
| GOCE OBT parameters.
unsigned int | utc0_f
| GOCE OBT parameters.
unsigned long | obt0_c
| GOCE OBT parameters.
unsigned int | obt0_f
| GOCE OBT parameters.
double | gradient
| GOCE OBT parameters.
double | offset
| GOCE OBT parameters.
double | obt
| GOCE OBT values.

## Detailed Description

Base class for GoceObt objects.

## Constructor & Destructor Documentation

EECFI::GoceObt::GoceObt | ( | unsigned long | utc0_c,
|  | unsigned int | utc0_f,
|  | unsigned long | obt0_c,
|  | unsigned int | obt0_f,
|  | double | gradient,
|  | double | offset |
| ) |  |  |

Class constructor (with GOCE parameters).

Parameters:

  | utc0_c | .
  | utc0_f | .
  | obt0_c | .
  | obt0_f | .
  | gradient | .
  | offset | .

EECFI::GoceObt::GoceObt | ( | unsigned long | utc0_c,
|  | unsigned int | utc0_f,
|  | unsigned long | obt0_c,
|  | unsigned int | obt0_f,
|  | double | gradient,
|  | double | offset,
|  | double | obt |
| ) |  |  |

Class constructor.

Parameters:

  | utc0_c | .
  | utc0_f | .
  | obt0_c | .
  | obt0_f | .
  | gradient | .
  | offset | .
  | obt | .

EECFI::GoceObt::~GoceObt | ( |  | ) | `[inline]`

Class destructor.

## Member Function Documentation

Time EECFI::GoceObt::getTime | ( |  | ) | throw (CfiError)`[virtual]`

Get UTC time from an OBT time.

Returns:
  UTC time from OBT time.

Implements EECFI::ObtTime.

References gradient, obt, obt0_c, obt0_f, offset, EECFI::CfiClass::throwWarn, utc0_c, and utc0_f.

void EECFI::GoceObt::setObt | ( | const Time & | time | ) | throw (CfiError)`[virtual]`

Set On-Board Time from a time in processing format.

Class destructor.

Parameters:

  | time | input Time.

Implements EECFI::ObtTime.

References EECFI::CfiError::addMsg(), EECFI::Time::change(), EECFI::Time::format, and EECFI::Time::time.

## Member Data Documentation

double EECFI::GoceObt::gradient

GOCE OBT parameters.

Referenced by getTime().

double EECFI::GoceObt::obt

GOCE OBT values.

Referenced by getTime().

unsigned long EECFI::GoceObt::obt0_c

GOCE OBT parameters.

Referenced by getTime().

unsigned int EECFI::GoceObt::obt0_f

GOCE OBT parameters.

Referenced by getTime().

double EECFI::GoceObt::offset

GOCE OBT parameters.

Referenced by getTime().

unsigned long EECFI::GoceObt::utc0_c

GOCE OBT parameters.

Referenced by getTime().

unsigned int EECFI::GoceObt::utc0_f

GOCE OBT parameters.

Referenced by getTime().